## oracle-fdw 2.6.0~beta

=== Makefile ===
MODULE_big = oracle_fdw
OBJS = oracle_fdw.o oracle_utils.o oracle_gis.o
EXTENSION = oracle_fdw
DATA = oracle_fdw--1.2.sql oracle_fdw--1.0--1.1.sql oracle_fdw--1.1--1.2.sql
DOCS = README.oracle_fdw
REGRESS = oracle_fdw oracle_gis oracle_import oracle_join

# try to find Instant Client installations installed in standard paths
FIND_INCLUDE := $(wildcard /usr/include/oracle/*/client64 /usr/include/oracle/*/client)
FIND_LIBDIRS := $(wildcard /usr/lib/oracle/*/client64/lib /usr/lib/oracle/*/client/lib)

FIND_CPPFLAGS = $(foreach DIR,$(FIND_INCLUDE),-I$(DIR))
FIND_LDFLAGS = $(foreach DIR,$(FIND_LIBDIRS),-L$(DIR))

# add include and library paths for both Instant Client and regular Client
PG_CPPFLAGS = -I"$(ORACLE_HOME)/sdk/include" -I"$(ORACLE_HOME)/oci/include" -I"$(ORACLE_HOME)/rdbms/public" -I"$(ORACLE_HOME)/" $(FIND_CPPFLAGS)
SHLIB_LINK = -L"$(ORACLE_HOME)/" -L"$(ORACLE_HOME)/bin" -L"$(ORACLE_HOME)/lib" -L"$(ORACLE_HOME)/lib/amd64" $(FIND_LDFLAGS) -l$(ORACLE_SHLIB)

# don't build LLVM byte code
override with_llvm := no

ifdef NO_PGXS
subdir = contrib/oracle_fdw
top_builddir = ../..
include $(top_builddir)/src/Makefile.global
include $(top_srcdir)/contrib/contrib-global.mk
else
PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
endif

# Oracle's shared library is oci.dll on Windows and libclntsh elsewhere
ifeq ($(PORTNAME),win32)
ORACLE_SHLIB=oci
else
ifeq ($(PORTNAME),cygwin)
ORACLE_SHLIB=oci
else
ORACLE_SHLIB=clntsh
endif
endif

## oracle-fdw 2.5.0

=== debian/changelog ===
oracle-fdw (2.5.0-1.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 15 Jun 2023 11:10:38 +0200

oracle-fdw (2.5.0-1) unstable; urgency=medium

  * Initial release.

 -- Christoph Berg <myon@debian.org>  Thu, 15 Jun 2023 11:10:38 +0200

=== debian/control ===
Source: oracle-fdw
Section: contrib/database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Christoph Berg <myon@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 oracle-libs,
 postgresql-all (>= 217~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/laurenz/oracle_fdw
Vcs-Browser: https://salsa.debian.org/postgresql/oracle-fdw
Vcs-Git: https://salsa.debian.org/postgresql/oracle-fdw.git

Package: postgresql-10-oracle-fdw
Architecture: any
Depends:
 oracle-libs,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Foreign Data Wrapper for Oracle
 oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
 easy and efficient access to Oracle databases, including pushdown of WHERE
 conditions and required columns as well as comprehensive EXPLAIN support.

Package: postgresql-11-oracle-fdw
Architecture: any
Depends:
 oracle-libs,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Foreign Data Wrapper for Oracle
 oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
 easy and efficient access to Oracle databases, including pushdown of WHERE
 conditions and required columns as well as comprehensive EXPLAIN support.

Package: postgresql-12-oracle-fdw
Architecture: any
Depends:
 oracle-libs,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Foreign Data Wrapper for Oracle
 oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
 easy and efficient access to Oracle databases, including pushdown of WHERE
 conditions and required columns as well as comprehensive EXPLAIN support.

Package: postgresql-13-oracle-fdw
Architecture: any
Depends:
 oracle-libs,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Foreign Data Wrapper for Oracle
 oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
 easy and efficient access to Oracle databases, including pushdown of WHERE
 conditions and required columns as well as comprehensive EXPLAIN support.

Package: postgresql-14-oracle-fdw
Architecture: any
Depends:
 oracle-libs,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Foreign Data Wrapper for Oracle
 oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
 easy and efficient access to Oracle databases, including pushdown of WHERE
 conditions and required columns as well as comprehensive EXPLAIN support.

Package: postgresql-15-oracle-fdw
Architecture: any
Depends:
 oracle-libs,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: PostgreSQL Foreign Data Wrapper for Oracle
 oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
 easy and efficient access to Oracle databases, including pushdown of WHERE
 conditions and required columns as well as comprehensive EXPLAIN support.

## oracle-fdw 2.6.0~beta

=== debian/changelog ===
oracle-fdw (2.6.0~beta-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Jul 2023 14:28:29 +0200

oracle-fdw (2.6.0~beta-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Jul 2023 14:28:29 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  oracle-libs,
  postgresql-all (>= 217~),
 Standards-Version: 4.6.2

## oracle-fdw 2.6.0

=== debian/changelog ===
oracle-fdw (2.6.0-1.pgdg20.04+2) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 17 Oct 2023 15:58:17 +0200

oracle-fdw (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Oct 2023 15:58:17 +0200

=== debian/control ===
--- 
+++ 
@@ -85,3 +85,15 @@
  oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
  easy and efficient access to Oracle databases, including pushdown of WHERE
  conditions and required columns as well as comprehensive EXPLAIN support.
+
+Package: postgresql-16-oracle-fdw
+Architecture: any
+Depends:
+ oracle-libs,
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Foreign Data Wrapper for Oracle
+ oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
+ easy and efficient access to Oracle databases, including pushdown of WHERE
+ conditions and required columns as well as comprehensive EXPLAIN support.

## oracle-fdw 2.7.0

=== debian/changelog ===
oracle-fdw (2.7.0-2.pgdg25.04+2) plucky-pgdg; urgency=medium

  * Rebuild for plucky-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 15 Sep 2024 12:31:38 +0200

oracle-fdw (2.7.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 15 Sep 2024 12:31:38 +0200

oracle-fdw (2.7.0-1) unstable; urgency=medium

  * New upstream version 2.7.0.

 -- Christoph Berg <myon@debian.org>  Thu, 22 Aug 2024 13:58:51 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,12 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
- debhelper (>= 12),
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
+ debhelper-compat (= 13),
  oracle-libs,
- postgresql-all (>= 217~),
-Standards-Version: 4.6.2
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/laurenz/oracle_fdw
 Vcs-Browser: https://salsa.debian.org/postgresql/oracle-fdw
@@ -97,3 +99,15 @@
  oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
  easy and efficient access to Oracle databases, including pushdown of WHERE
  conditions and required columns as well as comprehensive EXPLAIN support.
+
+Package: postgresql-17-oracle-fdw
+Architecture: any
+Depends:
+ oracle-libs,
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Description: PostgreSQL Foreign Data Wrapper for Oracle
+ oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
+ easy and efficient access to Oracle databases, including pushdown of WHERE
+ conditions and required columns as well as comprehensive EXPLAIN support.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with pgxs

override_dh_pgxs_test:
	# run only a simple test, we don't have an oracle DB at build time
	echo 'create extension oracle_fdw' | \
		pg_buildext psql . build-%v postgresql-%v-oracle-fdw

override_dh_installdocs:
	dh_installdocs --all README.oracle_fdw

override_dh_shlibdeps:
	# oracle-libs doesn't have a shlibs file
	dh_shlibdeps -a -- --ignore-missing-info

## oracle-fdw 2.8.0

=== debian/changelog ===
oracle-fdw (2.8.0-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 17 Oct 2025 16:36:35 +0200

oracle-fdw (2.8.0-2) unstable; urgency=medium

  * Upload for PostgreSQL 18.
  * Add ${postgresql:Breaks}.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Oct 2025 16:36:35 +0200

oracle-fdw (2.8.0-1) unstable; urgency=medium

  * New upstream version 2.8.0, supports PostgreSQL 18.

 -- Christoph Berg <myon@debian.org>  Mon, 19 May 2025 16:43:18 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  architecture-is-64-bit <!pkg.postgresql.32-bit>,
- debhelper-compat (= 13),
  oracle-libs,
  postgresql-all <!nocheck>,
  postgresql-server-dev-all,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/laurenz/oracle_fdw
 Vcs-Browser: https://salsa.debian.org/postgresql/oracle-fdw
 Vcs-Git: https://salsa.debian.org/postgresql/oracle-fdw.git
@@ -23,6 +22,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL Foreign Data Wrapper for Oracle
  oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
  easy and efficient access to Oracle databases, including pushdown of WHERE
@@ -35,6 +36,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL Foreign Data Wrapper for Oracle
  oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
  easy and efficient access to Oracle databases, including pushdown of WHERE
@@ -47,6 +50,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL Foreign Data Wrapper for Oracle
  oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
  easy and efficient access to Oracle databases, including pushdown of WHERE
@@ -59,6 +64,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL Foreign Data Wrapper for Oracle
  oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
  easy and efficient access to Oracle databases, including pushdown of WHERE
@@ -71,6 +78,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL Foreign Data Wrapper for Oracle
  oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
  easy and efficient access to Oracle databases, including pushdown of WHERE
@@ -83,6 +92,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL Foreign Data Wrapper for Oracle
  oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
  easy and efficient access to Oracle databases, including pushdown of WHERE
@@ -95,6 +106,8 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL Foreign Data Wrapper for Oracle
  oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
  easy and efficient access to Oracle databases, including pushdown of WHERE
@@ -107,7 +120,23 @@
  ${misc:Depends},
  ${postgresql:Depends},
  ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
 Description: PostgreSQL Foreign Data Wrapper for Oracle
  oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
  easy and efficient access to Oracle databases, including pushdown of WHERE
  conditions and required columns as well as comprehensive EXPLAIN support.
+
+Package: postgresql-18-oracle-fdw
+Architecture: any
+Depends:
+ oracle-libs,
+ ${misc:Depends},
+ ${postgresql:Depends},
+ ${shlibs:Depends},
+Breaks:
+ ${postgresql:Breaks},
+Description: PostgreSQL Foreign Data Wrapper for Oracle
+ oracle_fdw is a PostgreSQL extension that provides a Foreign Data Wrapper for
+ easy and efficient access to Oracle databases, including pushdown of WHERE
+ conditions and required columns as well as comprehensive EXPLAIN support.
